# (c) Copyright 2016 Hewlett Packard Enterprise Development LP
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software distributed
# under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR
# CONDITIONS OF ANY KIND, either express or implied. See the License for the
# specific language governing permissions and limitations under the License.

my_client = {
  url: 'https://172.16.102.18',
  user: 'Administrator',
  password: 'rainforest',
  api_version: 300,
  ssl_enabled: false
}

# Performs refresh on the Drive Enclosure
oneview_drive_enclosure 'Cheflosure1, bay 1' do
  api_version 300
  api_variant 'Synergy'
  client my_client
end

oneview_drive_enclosure 'Cheflosure1, bay 1' do
  client my_client
  api_variant 'Synergy'
  api_version 300
  power_state 'On'
  action :set_power_state
end

oneview_sas_logical_interconnect_group 'CHEF_SAS_LIG' do
  client my_client
  api_version 300
  api_variant 'Synergy'
  interconnects([
    { bay: 4, type: 'Synergy 12Gb SAS Connection Module' },
    { bay: 1, type: 'Synergy 12Gb SAS Connection Module' }
  ])
end

oneview_sas_logical_interconnect 'LE_SAS_01-SAS_LIG_01-1' do
  client my_client
  api_version 300
  api_variant 'Synergy'
  action :reapply_configuration
end

oneview_sas_interconnect 'Cheflosure1, interconnect 1' do
  client my_client
  api_version 300
  api_variant 'Synergy'
  action :refresh
end
