# (c) Copyright 2017 Hewlett Packard Enterprise Development LP
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software distributed
# under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR
# CONDITIONS OF ANY KIND, either express or implied. See the License for the
# specific language governing permissions and limitations under the License.

ov_client = {
  url: 'https://15.212.171.212',
  user: 'Administrator',
  password: 'admin123',
  api_version: 300,
  ssl_enabled: false
}

i3s_client = {
  url: 'https://15.212.171.216',
  api_version: 300,
  ssl_enabled: false,
  oneview_client: ov_client
}

# Creates or updates a new empty OS Build Plan named 'Chef-BuildPlan1'
image_streamer_os_build_plan 'Chef-OSBuildPlan1' do
  client i3s_client
  api_version 300
  data(
    description: 'Chef created OS Build Plan',
    oeBuildPlanType: 'Deploy'
  )
end

# Creates or updates a new OS Build Plan named 'Chef-BuildPlan2' with two build plans
image_streamer_os_build_plan 'Chef-OSBuildPlan2' do
  client i3s_client
  api_version 300
  data(
    description: 'Chef created OS Build Plan',
    oeBuildPlanType: 'Deploy',
    buildStep: [
      {
        serialNumber: 1,
        planScriptName: 'ChefPlanScript1'
      },
      {
        serialNumber: 2,
        planScriptName: 'ChefPlanScript2'
      }
    ]
  )
end

sleep(15)

image_streamer_os_build_plan 'Chef-OSBuildPlan1' do
  client i3s_client
  api_version 300
  action :delete
end

image_streamer_os_build_plan 'Chef-OSBuildPlan2' do
  client i3s_client
  api_version 300
  action :delete
end
