# (c) Copyright 2017 Hewlett Packard Enterprise Development LP
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software distributed
# under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR
# CONDITIONS OF ANY KIND, either express or implied. See the License for the
# specific language governing permissions and limitations under the License.

ov_client = {
  url: 'https://15.212.171.212',
  user: 'Administrator',
  password: 'admin123',
  api_version: 300,
  ssl_enabled: false
}

i3s_client = {
  url: 'https://15.212.171.216',
  api_version: 300,
  ssl_enabled: false,
  oneview_client: ov_client
}

# Creates or updates a new Plan script named 'Chef-PlanScript1'
image_streamer_plan_script 'Chef-PlanScript1' do
  client i3s_client
  api_version 300
  data(
    description: 'Chef created Plan Script - 1',
    hpProvided: false,
    planType: 'deploy',
    content: 'Test script command'
  )
end

# Updates the Plan script named 'Chef-PlanScript1' with a new description
image_streamer_plan_script 'Chef-PlanScript1' do
  client i3s_client
  api_version 300
  data(
    description: 'Chef created and updated Plan Script - 1',
  )
end

# Creates a new Plan script named 'Chef-PlanScript1' only if does not exist
image_streamer_plan_script 'Chef-PlanScript2' do
  client i3s_client
  api_version 300
  data(
    description: 'Chef created Plan Script - 2',
    hpProvided: false,
    planType: 'deploy',
    content: 'Test script command'
  )
  action :create_if_missing
end

# Deletes the Plan script named 'Chef-PlanScript1' if it exists
image_streamer_plan_script 'Chef-PlanScript1' do
  client i3s_client
  api_version 300
  action :delete
end

# Deletes the Plan script named 'Chef-PlanScript1' if it exists
image_streamer_plan_script 'Chef-PlanScript2' do
  client i3s_client
  api_version 300
  action :delete
end
